Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/AlgorithmOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("AlgorithmOperator", "An operator which represents an algorithm represented as an operator graph.")]
-  [StorableClass]
+  [StorableType("07e75599-2179-4973-a599-9e5525c75ebb")]
   public abstract class AlgorithmOperator : SingleSuccessorOperator, IOperatorGraphOperator {
     public static new Image StaticItemImage {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Assigner.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Assigner.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Assigner", "An operator which clones and assigns the value of one parameter to another parameter.")]
-  [StorableClass]
+  [StorableType("ea35e78e-2263-4ed1-8103-efde23bcd973")]
   public sealed class Assigner : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("CheckedMultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type that can be checked or unchecked.")]
-  [StorableClass]
+  [StorableType("78b17e17-c176-4a6a-9143-96f3498302e7")]
   public abstract class CheckedMultiOperator<T> : MultiOperator<T>, ICheckedMultiOperator<T> where T : class, IOperator {
     /// <summary>
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 14927)
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("CombinedOperator", "An operator which contains an operator graph.")]
-  [StorableClass]
+  [StorableType("997fbb42-4c59-455c-86fd-b498bca04fd3")]
   public sealed class CombinedOperator : AlgorithmOperator, IParameterizedItem, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Comparator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Comparator.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("Comparator", "An operator which compares two items.")]
-  [StorableClass]
+  [StorableType("caae008a-ce1f-4528-8493-70d9b22c13c7")]
   public sealed class Comparator : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ConditionalBranch", "A branch of two operators whose executions depend on a boolean condition. If the boolean condition is not present, the false branch is executed.")]
-  [StorableClass]
+  [StorableType("c5596a64-16a5-40c8-a083-7b5202df082b")]
   public class ConditionalBranch : SingleSuccessorOperator {
     public LookupParameter<BoolValue> ConditionParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/DataReducer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 14927)
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
   [Item("DataReducer", "An operator to reduce values of sub scopes.")]
-  [StorableClass]
+  [StorableType("da54e38d-731d-483f-b184-fda5d9f3383d")]
   public sealed class DataReducer : SingleSuccessorOperator {
     #region Parameter Properties
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("DoubleCounter", "An operator which increments a double variable.")]
-  [StorableClass]
+  [StorableType("dbe9529c-0640-4436-86b7-8dca3b70ffad")]
   public sealed class DoubleCounter : SingleSuccessorOperator {
     public LookupParameter<DoubleValue> ValueParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 14927)
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("EmptyOperator", "An operator which represents an empty statement.")]
-  [StorableClass]
+  [StorableType("cc420082-9104-4207-ae96-aeea04ba13ff")]
   public sealed class EmptyOperator : SingleSuccessorOperator {
     [StorableConstructor]
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/InstrumentedOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 14927)
@@ -25,9 +25,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
   [Item("InstrumentedOperator", "A operator that can execute pre- and post actions.")]
-  [StorableClass]
+  [StorableType("0a847032-912d-48bc-9e8c-01bdae161027")]
   public abstract class InstrumentedOperator : SingleSuccessorOperator, IInstrumentedOperator {
     private const string BeforeExecutionOperatorsParameterName = "BeforeExecutionOperators";
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("IntCounter", "An operator which increments an integer variable.")]
-  [StorableClass]
+  [StorableType("000de522-3c36-47d5-b508-a557283c314f")]
   public sealed class IntCounter : SingleSuccessorOperator {
 
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/LocalRandomCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 14927)
@@ -23,9 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
   [Item("LocalRandomCreator", "Creates a local pseudo random number generator from a global random number generator.")]
-  [StorableClass]
+  [StorableType("979a9907-d20a-4b81-84aa-d0c9c617d5ad")]
   public sealed class LocalRandomCreator : SingleSuccessorOperator {
     #region Parameter Properties
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/MultiOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 14927)
@@ -26,5 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("MultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type.")]
-  [StorableClass]
+  [StorableType("74649f75-ebe5-4d50-b2f9-c5339988b78d")]
   public abstract class MultiOperator<T> : InstrumentedOperator, IMultiOperator<T> where T : class, IOperator {
     private List<IValueParameter<T>> operatorParameters;
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 14927)
@@ -27,5 +27,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.PluginInfrastructure;
 using ExecutionContext = HeuristicLab.Core.ExecutionContext;
@@ -38,5 +38,5 @@
     }
 
-    [StorableClass]
+    [StorableType("161c4892-a282-41cb-88b1-166b4dc56c08")]
     [NonDiscoverableType]
     private class InstrumentedOperatorWrapper : Operator {
@@ -75,6 +75,5 @@
           IOperation next = instrumentedOperator.InstrumentedApply();
           return next;
-        }
-        finally {
+        } finally {
           foreach (ILookupParameter param in instrumentedOperator.Parameters.OfType<ILookupParameter>())
             param.ExecutionContext = null;
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Operator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Operator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Operator.cs	(revision 14927)
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Placeholder", "An operator which acts as a placeholder for another operator retrieved from the scope or a parent execution context.")]
-  [StorableClass]
+  [StorableType("8d623560-f0a1-4fe5-af3e-f0c162c243fe")]
   public sealed class Placeholder : SingleSuccessorOperator {
     public LookupParameter<IOperator> OperatorParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ReductionOperation.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -40,5 +40,5 @@
 
   [Item("ReductionOperation", "Represents a certain type of reduction operation.")]
-  [StorableClass]
+  [StorableType("a9793970-cc7d-40c6-93f8-d46fcff7ead7")]
   public class ReductionOperation : ValueTypeValue<ReductionOperations> {
     public static new Image StaticItemImage {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ScopeCleaner", "An operator which removes all variables and sub-scopes from the current scope.")]
-  [StorableClass]
+  [StorableType("c066eaf4-df95-4036-8509-5bab8ce7058d")]
   public sealed class ScopeCleaner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SingleSuccessorOperator", "A base class for operators which have only one successor.")]
-  [StorableClass]
+  [StorableType("878f58a8-bb98-4df7-b492-71c406ea6e97")]
   public abstract class SingleSuccessorOperator : Operator {
     protected OperatorParameter SuccessorParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("StochasticBranch", "A branch of two operators which are executed with a specified probability.")]
-  [StorableClass]
+  [StorableType("d73084e8-8638-4a2c-b5a2-d6ad486d563f")]
   public class StochasticBranch : SingleSuccessorOperator {
     public LookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 14927)
@@ -28,5 +28,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
-  [StorableClass]
+  [StorableType("b49ef1d0-748c-4542-8024-bc186027ddb3")]
   public abstract class StochasticMultiBranch<T> : CheckedMultiOperator<T> where T : class, IOperator {
     /// <summary>
@@ -176,5 +176,5 @@
   /// </summary>
   [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
-  [StorableClass]
+  [StorableType("f1ef6508-c113-4613-a501-18d6c6e70652")]
   public class StochasticMultiBranch : StochasticMultiBranch<IOperator> {
     [StorableConstructor]
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCloner.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using System.Text;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Common;
 using HeuristicLab.Parameters;
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SubScopesCloner", "An operator which creates multiple copies of the subscopes of the current scope.")]
-  [StorableClass]
+  [StorableType("d185bb53-c47a-4cd9-935e-7b356551db82")]
   public class SubScopesCloner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
@@ -49,5 +49,5 @@
     public IntValue NumberOfCopies {
       get { return NumberOfCopiesParameter.Value; }
-      set { NumberOfCopiesParameter.Value = value;  }
+      set { NumberOfCopiesParameter.Value = value; }
     }
 
@@ -59,5 +59,5 @@
     }
     public SubScopesCloner()
-      : base() { 
+      : base() {
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope whose sub-scopes should be cloned."));
       Parameters.Add(new ValueParameter<IntValue>("NumberOfCopies", "The number of copies that should be created.", new IntValue(1)));
@@ -77,5 +77,5 @@
       }
 
-       return base.Apply();
+      return base.Apply();
     }
   }
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCounter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 14927)
@@ -24,9 +24,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
   [Item("SubScopesCounter", "Counts the number of direct sub-scopes and increments or assigns it to the value given in the parameter.")]
-  [StorableClass]
+  [StorableType("03df3f43-096c-4fd8-a87c-5059087a113d")]
   public class SubScopesCounter : SingleSuccessorOperator {
 
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesCreator", "An operator which adds new and empty sub-scopes to the current scope.")]
-  [StorableClass]
+  [StorableType("c23e0f1c-45a4-4cfd-a3bf-cd72d5c8fbb8")]
   public class SubScopesCreator : SingleSuccessorOperator {
     public ValueLookupParameter<IntValue> NumberOfSubScopesParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesMixer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SubScopesMixer", "Changes the order of the sub-scopes by repartitioning the sub-scopes such that each new partition contains one scope from each old partition.")]
-  [StorableClass]
+  [StorableType("458ee223-13d1-4d2e-bc0a-7fca375dc201")]
   public class SubScopesMixer : SingleSuccessorOperator {
     public ValueParameter<IntValue> PartitionsParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesProcessor.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 14927)
@@ -27,5 +27,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SubScopesProcessor", "An operator which contains multiple operators of which each is applied on one sub-scope at the given depth of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
-  [StorableClass]
+  [StorableType("008704a4-39ea-4a00-b390-a7fd5f67e6ee")]
   public sealed class SubScopesProcessor : MultiOperator<IOperator> {
     public ValueLookupParameter<BoolValue> ParallelParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesRemover", "An operator which removes all sub-scopes or one specified sub-scope from the current scope.")]
-  [StorableClass]
+  [StorableType("2497cf78-e157-4c60-bd1b-def9a8dbe479")]
   public sealed class SubScopesRemover : SingleSuccessorOperator {
     private ValueParameter<BoolValue> RemoveAllSubScopesParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesSorter", "An operator which sorts the sub-scopes of the current scope.")]
-  [StorableClass]
+  [StorableType("e6c6d09c-f14f-4d36-bc05-04e1a7554ba4")]
   public sealed class SubScopesSorter : SingleSuccessorOperator {
     private bool descending;
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 14927)
@@ -26,5 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("UniformSubScopesProcessor", "An operator which applies a specified operator on all sub-scopes at the given depth of the current scope.")]
-  [StorableClass]
+  [StorableType("196e80f9-3b97-45a4-a9a0-60860e50cb65")]
   public sealed class UniformSubScopesProcessor : SingleSuccessorOperator {
     private OperatorParameter OperatorParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ValuesCollector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ValuesCollector", "An operator which collects the actual values of parameters.")]
-  [StorableClass]
+  [StorableType("7f3f4ade-2d1b-488f-827f-a4c6ca5fedd8")]
   public abstract class ValuesCollector : SingleSuccessorOperator, IOperator {
     [Storable]
Index: branches/PersistenceReintegration/HeuristicLab.Operators/3.3/VariableCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("VariableCreator", "An operator which collects the actual values of parameters and clones them into the current scope.")]
-  [StorableClass]
+  [StorableType("5dd07109-5486-4dce-b3db-58851bdfd6f9")]
   public class VariableCreator : ValuesCollector {
     protected ScopeParameter CurrentScopeParameter {
